#!/bin/bash
# USAGE: ./solver.sh INPUTFILE

infile=$1
bloq=`./mkstemp`
bqtime=45

if [ ! -e "$bloq" ]; then
    echo "Error creating bloqqer temp file!"
    exit 1;
fi

bash -c "ulimit -t $bqtime; ./bloqqer $infile > $bloq"

# I modified bloqqer to print "PreprocTimeMilli" and the processing time.
# If "PreprocTimeMilli" doesn't occur in output of bloqqer, then 
# bloqqer must have been killed before finishing.

if [ -n "`grep PreprocTimeMilli $bloq`" ]
then
    char_count="`wc -c $bloq | sed 's/ *\([0-9]*\)\(.*\)/\1/'`"
    if [ "$char_count" -lt 1024 ]
    then
        infile=$bloq
    fi
fi

#echo $infile

python cqbf-conv.py $infile --quiet | ./ghostq - -s-cnf -q2 -cegar 1
ex=$?
rm $bloq
exit $ex
